require 'assert/factory'
require 'mr/read_model/query_expression'

module Factory
  extend Assert::Factory

  def self.read_model_set_expression(operator = nil, &block)
    operator ||= MR::ReadModel::SetExpression::OPERATOR_SQL.keys.sample
    block    ||= proc{ }
    MR::ReadModel::SetExpression.new(operator, &block)
  end

end
